package lsedit;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.util.*;

public class Elision_s_Button extends ToolBarButton
{
	protected static final String description = "Hide/show edges whose source are selected entities";

	protected String getDesc()
	{
		return description;
	}

	protected void paintIcon(Graphics gc) 
	{
		Dimension dim = getSize();
		int w = dim.width/2;
		int h = dim.height/2 - MARGIN*2;

		gc.setColor(Color.cyan);
		gc.fillRect(MARGIN*2, MARGIN*2, w, h);
		gc.setColor(Color.black);
		gc.drawRect(MARGIN*2, MARGIN*2, w, h);

		int x = MARGIN*2 + w/2;
		drawEdge(gc, x, dim.height/2, x, dim.height-MARGIN);
	}

	public Elision_s_Button(ToolBarEventHandler teh) 
	{
		super(teh);
		setKeystroke(0, Do.SRC_EDGES);
	}
}


